```

BenchmarkDotNet v0.14.0, Ubuntu 22.04.5 LTS (Jammy Jellyfish)
Intel Xeon Platinum 8370C CPU 2.80GHz, 1 CPU, 16 logical and 8 physical cores
.NET SDK 9.0.100-rc.1.24452.12
  [Host]     : .NET 9.0.0 (9.0.24.43107), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-RYOAML : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-GZMCBJ : .NET 9.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI


```
| Method   | Toolchain               | s                    | Mean      | Error    | Ratio | 
|--------- |------------------------ |--------------------- |----------:|---------:|------:|
| **TryParse** | **/core_root_base/corerun** | **::192.168.0.1**        |  **99.04 ns** | **0.127 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | ::192.168.0.1        | 127.61 ns | 0.227 ns |  1.29 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **037777777777**         |  **37.84 ns** | **0.151 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 037777777777         |  27.97 ns | 0.239 ns |  0.74 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **0xff.0x7f.0x20.0x01**  |  **42.62 ns** | **0.185 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 0xff.0x7f.0x20.0x01  |  34.17 ns | 0.184 ns |  0.80 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **1:2:3:4:5:6:7:8::**    |  **43.79 ns** | **0.023 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 1:2:3:4:5:6:7:8::    |  42.88 ns | 0.121 ns |  0.98 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **100:0(...):abcd [22]** | **121.59 ns** | **0.352 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 100:0(...):abcd [22] | 114.75 ns | 0.454 ns |  0.94 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **192.168.0.0/16**       |  **25.62 ns** | **0.554 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 192.168.0.0/16       |  25.15 ns | 0.443 ns |  0.98 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **192.168.0.1**          |  **34.48 ns** | **0.354 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 192.168.0.1          |  30.04 ns | 0.140 ns |  0.87 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **4294967295**           |  **27.50 ns** | **0.354 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | 4294967295           |  26.05 ns | 0.258 ns |  0.95 | 
|          |                         |                      |           |          |       | 
| **TryParse** | **/core_root_base/corerun** | **Fe08::1%13542**        |  **93.65 ns** | **0.555 ns** |  **1.00** | 
| TryParse | /core_root_diff/corerun | Fe08::1%13542        |  71.28 ns | 0.372 ns |  0.76 | 
|          |                         |                      |           |          |       | 
| **UriHost**  | **/core_root_base/corerun** | **http:(...)3/foo [39]** | **419.50 ns** | **0.430 ns** |  **1.00** | 
| UriHost  | /core_root_diff/corerun | http:(...)3/foo [39] | 439.67 ns | 0.243 ns |  1.05 | 
|          |                         |                      |           |          |       | 
| **UriHost**  | **/core_root_base/corerun** | **http:(...)3/foo [26]** | **246.28 ns** | **0.718 ns** |  **1.00** | 
| UriHost  | /core_root_diff/corerun | http:(...)3/foo [26] | 253.35 ns | 0.469 ns |  1.03 | 
